Index: src/Actions/FragmentationAction/FragmentationAutomationAction.cpp
===================================================================
--- src/Actions/FragmentationAction/FragmentationAutomationAction.cpp	(revision 8cae4c222d38d45129885e5a2edc6e31879577de)
+++ src/Actions/FragmentationAction/FragmentationAutomationAction.cpp	(revision adccaed9f6ccb7c231630a4ea73dd689da24dfc5)
@@ -328,5 +328,6 @@
       boost::fusion::at_key<MPQCDataFused::energy_total>(instance) = extractedData.energies.total;
       boost::fusion::at_key<MPQCDataFused::energy_nuclear_repulsion>(instance) = extractedData.energies.nuclear_repulsion;
-      boost::fusion::at_key<MPQCDataFused::energy_electron_repulsion>(instance) = extractedData.energies.electron_repulsion;
+      boost::fusion::at_key<MPQCDataFused::energy_electron_coulomb>(instance) = extractedData.energies.electron_coulomb;
+      boost::fusion::at_key<MPQCDataFused::energy_electron_exchange>(instance) = extractedData.energies.electron_exchange;
       boost::fusion::at_key<MPQCDataFused::energy_correlation>(instance) = extractedData.energies.correlation;
       boost::fusion::at_key<MPQCDataFused::energy_overlap>(instance) = extractedData.energies.overlap;
Index: src/Jobs/MPQCData.cpp
===================================================================
--- src/Jobs/MPQCData.cpp	(revision 8cae4c222d38d45129885e5a2edc6e31879577de)
+++ src/Jobs/MPQCData.cpp	(revision adccaed9f6ccb7c231630a4ea73dd689da24dfc5)
@@ -46,5 +46,6 @@
   total(0.),
   nuclear_repulsion(0.),
-  electron_repulsion(0.),
+  electron_coulomb(0.),
+  electron_exchange(0.),
   correlation(0.),
   overlap(0.),
Index: src/Jobs/MPQCData.hpp
===================================================================
--- src/Jobs/MPQCData.hpp	(revision 8cae4c222d38d45129885e5a2edc6e31879577de)
+++ src/Jobs/MPQCData.hpp	(revision adccaed9f6ccb7c231630a4ea73dd689da24dfc5)
@@ -52,5 +52,6 @@
     double total;
     double nuclear_repulsion;
-    double electron_repulsion;
+    double electron_coulomb;
+    double electron_exchange;
     double correlation;
     double overlap;
@@ -85,5 +86,6 @@
     ar & energies.total;
     ar & energies.nuclear_repulsion;
-    ar & energies.electron_repulsion;
+    ar & energies.electron_coulomb;
+    ar & energies.electron_exchange;
     ar & energies.correlation;
     ar & energies.overlap;
Index: src/Jobs/MPQCDataFused.hpp
===================================================================
--- src/Jobs/MPQCDataFused.hpp	(revision 8cae4c222d38d45129885e5a2edc6e31879577de)
+++ src/Jobs/MPQCDataFused.hpp	(revision adccaed9f6ccb7c231630a4ea73dd689da24dfc5)
@@ -26,5 +26,6 @@
   struct energy_total {};
   struct energy_nuclear_repulsion {};
-  struct energy_electron_repulsion {};
+  struct energy_electron_coulomb {};
+  struct energy_electron_exchange {};
   struct energy_correlation {};
   struct energy_overlap {};
Index: src/Jobs/MPQCDataMap.hpp
===================================================================
--- src/Jobs/MPQCDataMap.hpp	(revision 8cae4c222d38d45129885e5a2edc6e31879577de)
+++ src/Jobs/MPQCDataMap.hpp	(revision adccaed9f6ccb7c231630a4ea73dd689da24dfc5)
@@ -34,5 +34,6 @@
     boost::fusion::pair<MPQCDataFused::energy_total, double>
   ,  boost::fusion::pair<MPQCDataFused::energy_nuclear_repulsion, double>
-  ,  boost::fusion::pair<MPQCDataFused::energy_electron_repulsion, double>
+  ,  boost::fusion::pair<MPQCDataFused::energy_electron_coulomb, double>
+  ,  boost::fusion::pair<MPQCDataFused::energy_electron_exchange, double>
   ,  boost::fusion::pair<MPQCDataFused::energy_correlation, double>
   ,  boost::fusion::pair<MPQCDataFused::energy_overlap, double>
@@ -45,5 +46,6 @@
     MPQCDataFused::energy_total,
     MPQCDataFused::energy_nuclear_repulsion,
-    MPQCDataFused::energy_electron_repulsion,
+    MPQCDataFused::energy_electron_coulomb,
+    MPQCDataFused::energy_electron_exchange,
     MPQCDataFused::energy_correlation,
     MPQCDataFused::energy_overlap,
Index: src/Jobs/MPQCData_printName.hpp
===================================================================
--- src/Jobs/MPQCData_printName.hpp	(revision 8cae4c222d38d45129885e5a2edc6e31879577de)
+++ src/Jobs/MPQCData_printName.hpp	(revision adccaed9f6ccb7c231630a4ea73dd689da24dfc5)
@@ -32,5 +32,6 @@
   (energy_total) \
 	(energy_nuclear_repulsion) \
-	(energy_electron_repulsion) \
+	(energy_electron_coulomb) \
+  (energy_electron_exchange) \
 	(energy_correlation) \
 	(energy_overlap) \
